Package writer2latex.latex

# Class ColorConverter

java.lang.Object
writer2latex.latex.ColorConverter

public class ColorConverter extends Object
This class converts color

## Constructor Summary

Constructors
Constructor
Description
`ColorConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `CharStyleConverter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`applyAutomaticColor(BeforeAfter ba, boolean bDecl, Context context)`
`void`
`applyBgColor(String sCommand, String sColor, BeforeAfter ba, Context context)`
`void`
`applyColor(String sColor, boolean bDecl, BeforeAfter ba, Context context)`
Apply a specific foreground color.
`void`
`applyColor(StyleWithProperties style, boolean bDecl, boolean bInherit, BeforeAfter ba, Context context)`
Apply foreground color.
`void`
`applyNormalColor(BeforeAfter ba)`
`void`
`setNormalColor(String sColor, LaTeXDocumentPortion ldp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorConverter

public ColorConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

Constructs a new `CharStyleConverter`.

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### setNormalColor

public void setNormalColor(String sColor, LaTeXDocumentPortion ldp)

### applyNormalColor

public void applyNormalColor(BeforeAfter ba)

### applyColor

public void applyColor(StyleWithProperties style, boolean bDecl, boolean bInherit, BeforeAfter ba, Context context)

Apply foreground color.

Parameters:
  `style` - the OOo style to read attributesfrom
  `bDecl` - true if declaration form is required
  `bInherit` - true if inherited properties should be used
  `ba` - the `BeforeAfter` to add LaTeX code to.
  `context` - the current context

### applyColor

public void applyColor(String sColor, boolean bDecl, BeforeAfter ba, Context context)

Apply a specific foreground color.

Parameters:
  `sColor` - the rgb color to use
  `bDecl` - true if declaration form is required
  `ba` - the `BeforeAfter` to add LaTeX code to.

### applyBgColor

public void applyBgColor(String sCommand, String sColor, BeforeAfter ba, Context context)

### applyAutomaticColor

public void applyAutomaticColor(BeforeAfter ba, boolean bDecl, Context context)